org.apache.tapestry5.plastic

## Enum ClassType

- java.lang.Object
- - java.lang.Enum<ClassType>
  - - org.apache.tapestry5.plastic.ClassType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClassType>

      public enum ClassType
      extends java.lang.Enum<ClassType>

  Identifies the type of class referenced in a `PlasticClassEvent`.
  See Also:
    `PlasticClassListener`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INNER` An inner class within a controlled package, which may have field accesses (to non-private fields visible to it) instrumented.
    `METHOD_INVOCATION` An implementation of `MethodInvocation`, needed to handle advice added to a method of a primary class.
    `PRIMARY` A primary class, either created new or by transforming an existing class.
    `SUPPORT` A supporting class, needed to implement some of the logic of the primary class.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClassType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClassType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMARY

          public static final ClassType PRIMARY

      A primary class, either created new or by transforming an existing class.

    - #### SUPPORT

          public static final ClassType SUPPORT

      A supporting class, needed to implement some of the logic of the primary class.

    - #### METHOD_INVOCATION

          public static final ClassType METHOD_INVOCATION

      An implementation of `MethodInvocation`, needed to handle advice added to a method of a primary class.

    - #### INNER

          public static final ClassType INNER

      An inner class within a controlled package, which may have field accesses (to non-private fields visible to it) instrumented.
      Since:
        5.4

  - ### Method Detail

    - #### values

          public static ClassType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClassType c : ClassType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClassType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.